Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

ezdiscountsubrulevalue.php
Go to the documentation of this file.
1 <?php
16 class eZDiscountSubRuleValue extends eZPersistentObject
17 {
18 static function definition()
19 {
20 return array( "fields" => array( "discountsubrule_id" => array( 'name' => "DiscountSubRuleID",
21 'datatype' => 'integer',
22 'default' => 0,
23 'required' => true,
24 'foreign_class' => 'eZDiscountSubRule',
25 'foreign_attribute' => 'id',
26 'multiplicity' => '1..*' ),
27 "value" => array( 'name' => "Value",
28 'datatype' => 'integer',
29 'default' => 0,
30 'required' => true ),
31 "issection" => array( 'name' => "IsSection",
32 'datatype' => 'integer',
33 'default' => 0,
34 'required' => true ) ),
35 "keys" => array( "discountsubrule_id", "value", "issection" ),
36 "increment_key" => "discountsubrule_id",
37 "class_name" => "eZDiscountSubRuleValue",
38 "name" => "ezdiscountsubrule_value" );
39 }
40
41 static function fetchBySubRuleID( $discountSubRuleID, $isSection = 0, $asObject = true )
42 {
43 return eZPersistentObject::fetchObjectList( eZDiscountSubRuleValue::definition(),
44 null,
45 array( "discountsubrule_id" => $discountSubRuleID,
46 "issection" => $isSection ),
47 null,
48 null,
49 $asObject );
50 }
51
52 static function fetchList( $asObject = true )
53 {
54 return eZPersistentObject::fetchObjectList( eZDiscountSubRuleValue::definition(),
55 null, null, null, null,
56 $asObject );
57 }
58
59 static function create( $discountSubRuleID, $value, $isSection = false )
60 {
61 $row = array( "discountsubrule_id" => $discountSubRuleID,
62 "value" => $value,
63 "issection" => $isSection );
64 return new eZDiscountSubRuleValue( $row );
65 }
66
71 static function removeBySubRuleID ( $discountSubRuleID )
72 {
73 eZPersistentObject::removeObject( eZDiscountSubRuleValue::definition(),
74 array( "discountsubrule_id" => $discountSubRuleID ) );
75 }
76 }
77 ?>
eZDiscountSubRuleValue
The class eZDiscountSubRuleValue does.
Definition: ezdiscountsubrulevalue.php:17
eZDiscountSubRuleValue\fetchList
static fetchList( $asObject=true)
Definition: ezdiscountsubrulevalue.php:52
eZDiscountSubRuleValue\definition
static definition()
Definition: ezdiscountsubrulevalue.php:18
eZDiscountSubRuleValue\fetchBySubRuleID
static fetchBySubRuleID( $discountSubRuleID, $isSection=0, $asObject=true)
Definition: ezdiscountsubrulevalue.php:41
eZDiscountSubRuleValue\create
static create( $discountSubRuleID, $value, $isSection=false)
Definition: ezdiscountsubrulevalue.php:59
eZDiscountSubRuleValue\removeBySubRuleID
static removeBySubRuleID( $discountSubRuleID)
Definition: ezdiscountsubrulevalue.php:71
eZPersistentObject
Definition: ezpersistentobject.php:33
eZPersistentObject\removeObject
static removeObject( $def, $conditions=null, $extraConditions=null)
Definition: ezpersistentobject.php:271
eZPersistentObject\fetchObjectList
static fetchObjectList( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
Definition: ezpersistentobject.php:806
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.